import { PayloadBody } from './PayloadBody';
export declare abstract class Payload {
    protected msgId: string;
    protected msgTye: string;
    body: PayloadBody;
    constructor(body?: PayloadBody);
    abstract getTopic(): string;
    abstract getVersion(): string;
    abstract getMajorVersion(): number;
    getMsgId(): string;
}
